curl --request GET \
--url https://api.tableflow.com/v2/flows \
--header 'Authorization: Bearer YOUR_API_KEY'
import requests
response = requests.get(
"https://api.tableflow.com/v2/flows",
headers={
"Authorization": "Bearer YOUR_API_KEY"
}
)
flows = response.json()
const response = await fetch("https://api.tableflow.com/v2/flows", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_API_KEY"
}
});
const flows = await response.json();
[
{
"id": "dk4g1tUg1uHLs8YU",
"workspace_id": "uT2bJNWN75YPU95r",
"name": "PO to Invoice Reconciliation",
"description": "Match purchase orders with invoices and verify totals",
"file_input_config": {
"file_fields": [
{
"key": "purchase_order",
"name": "Purchase Order",
"required": true,
"file_types": ["pdf", "image"],
"max_file_size": 10485760
},
{
"key": "invoice",
"name": "Invoice",
"required": true,
"file_types": ["pdf", "image"],
"max_file_size": 10485760
}
]
},
"steps": [
{
"id": "step_1",
"title": "Extract Purchase Order",
"description": "Extract data from the purchase order",
"type": "extraction",
"order": 1,
"config": {
"template_id": "Bx9wKm4nRt7vP3cQ",
"file_key": "purchase_order"
}
},
{
"id": "step_2",
"title": "Extract Invoice",
"description": "Extract data from the invoice",
"type": "extraction",
"order": 2,
"config": {
"template_id": "Ys2hLf6jNq8dW5xA",
"file_key": "invoice"
}
},
{
"id": "step_3",
"title": "Reconcile Documents",
"description": "Match line items and verify totals",
"type": "reconciliation",
"order": 3,
"config": {
"source_step_id_1": "step_1",
"source_step_id_2": "step_2",
"table_key_1": "line_items",
"table_key_2": "line_items"
}
}
],
"active": true,
"created_at": 1682366228,
"updated_at": 1682366228
}
]
Flows
Get Flows
Get a list of available flows in your workspace
GET
/
v2
/
flows
curl --request GET \
--url https://api.tableflow.com/v2/flows \
--header 'Authorization: Bearer YOUR_API_KEY'
import requests
response = requests.get(
"https://api.tableflow.com/v2/flows",
headers={
"Authorization": "Bearer YOUR_API_KEY"
}
)
flows = response.json()
const response = await fetch("https://api.tableflow.com/v2/flows", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_API_KEY"
}
});
const flows = await response.json();
[
{
"id": "dk4g1tUg1uHLs8YU",
"workspace_id": "uT2bJNWN75YPU95r",
"name": "PO to Invoice Reconciliation",
"description": "Match purchase orders with invoices and verify totals",
"file_input_config": {
"file_fields": [
{
"key": "purchase_order",
"name": "Purchase Order",
"required": true,
"file_types": ["pdf", "image"],
"max_file_size": 10485760
},
{
"key": "invoice",
"name": "Invoice",
"required": true,
"file_types": ["pdf", "image"],
"max_file_size": 10485760
}
]
},
"steps": [
{
"id": "step_1",
"title": "Extract Purchase Order",
"description": "Extract data from the purchase order",
"type": "extraction",
"order": 1,
"config": {
"template_id": "Bx9wKm4nRt7vP3cQ",
"file_key": "purchase_order"
}
},
{
"id": "step_2",
"title": "Extract Invoice",
"description": "Extract data from the invoice",
"type": "extraction",
"order": 2,
"config": {
"template_id": "Ys2hLf6jNq8dW5xA",
"file_key": "invoice"
}
},
{
"id": "step_3",
"title": "Reconcile Documents",
"description": "Match line items and verify totals",
"type": "reconciliation",
"order": 3,
"config": {
"source_step_id_1": "step_1",
"source_step_id_2": "step_2",
"table_key_1": "line_items",
"table_key_2": "line_items"
}
}
],
"active": true,
"created_at": 1682366228,
"updated_at": 1682366228
}
]
Retrieves all active flows in your workspace. Flows define multi-step document processing workflows that can be executed via the API.
Usage Notes
- Only active flows are returned
- The response includes the complete flow configuration
- Use the flow ID to execute flows via the run flow endpoint
Request
This endpoint accepts no parameters.Response
[
{
"id": "dk4g1tUg1uHLs8YU",
"workspace_id": "uT2bJNWN75YPU95r",
"name": "PO to Invoice Reconciliation",
"description": "Match purchase orders with invoices and verify totals",
"file_input_config": {
"file_fields": [
{
"key": "purchase_order",
"name": "Purchase Order",
"required": true,
"file_types": ["pdf", "image"],
"max_file_size": 10485760
},
{
"key": "invoice",
"name": "Invoice",
"required": true,
"file_types": ["pdf", "image"],
"max_file_size": 10485760
}
]
},
"steps": [
{
"id": "step_1",
"title": "Extract Purchase Order",
"description": "Extract data from the purchase order",
"type": "extraction",
"order": 1,
"config": {
"template_id": "Bx9wKm4nRt7vP3cQ",
"file_key": "purchase_order"
}
},
{
"id": "step_2",
"title": "Extract Invoice",
"description": "Extract data from the invoice",
"type": "extraction",
"order": 2,
"config": {
"template_id": "Ys2hLf6jNq8dW5xA",
"file_key": "invoice"
}
},
{
"id": "step_3",
"title": "Reconcile Documents",
"description": "Match line items and verify totals",
"type": "reconciliation",
"order": 3,
"config": {
"source_step_id_1": "step_1",
"source_step_id_2": "step_2",
"table_key_1": "line_items",
"table_key_2": "line_items"
}
}
],
"active": true,
"created_at": 1682366228,
"updated_at": 1682366228
}
]
curl --request GET \
--url https://api.tableflow.com/v2/flows \
--header 'Authorization: Bearer YOUR_API_KEY'
import requests
response = requests.get(
"https://api.tableflow.com/v2/flows",
headers={
"Authorization": "Bearer YOUR_API_KEY"
}
)
flows = response.json()
const response = await fetch("https://api.tableflow.com/v2/flows", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_API_KEY"
}
});
const flows = await response.json();
Array of flow objects
Show Flow Object
Show Flow Object
Configuration for file inputs
Show File Input Config
Show File Input Config
Array of file field configurations
Show File Field
Show File Field
The steps that make up this flow